Bug 275561 - Blam does nothing useful
Blam does nothing useful
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blam (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 16:29 EDT by Michael De La Rue
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.3-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 04:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael De La Rue 2007-09-03 16:29:35 EDT
Description of problem:
Blam fails to update feeds but also fails to give an error message.

Version-Release number of selected component (if applicable):


How reproducible:
???

Steps to Reproduce:
1. yum intall blam planet (as root)
2. blam (as normal user)
3. right click feed
4. select refresh on one feed or press refressh all button
  
Actual results:
feeds continue to show 0/0 items
error messages below output


Expected results:
feeds update with current set of items to be read

Additional info:
similar but different to bug #253200???

during install of blam, two dependencies were installed: gecko-sharp2 and dbus-sharp

the following is output:  

** (Blam:12748): WARNING **: The following assembly referenced from
/usr/lib/blam/blam.exe could not be loaded:
     Assembly:   System.Web    (assemblyref_index=13)
     Version:    2.0.0.0
     Public Key: b03f5f7f11d50a3a
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/usr/lib/blam).


** (Blam:12748): WARNING **: Could not load file or assembly 'System.Web,
Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a' or one of its
dependencies.

** (Blam:12748): WARNING **: Missing method HtmlDecode in assembly
/usr/lib/blam/blam.exe, type System.Web.HttpUtility

** (Blam:12748): WARNING **: Could not load file or assembly 'System.Web,
Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a' or one of its
dependencies.

** (Blam:12748): WARNING **: Missing method HtmlDecode in assembly
/usr/lib/blam/blam.exe, type System.Web.HttpUtility

** (Blam:12748): WARNING **: Could not load file or assembly 'System.Web,
Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a' or one of its
dependencies.

** (Blam:12748): WARNING **: Missing method HtmlDecode in assembly
/usr/lib/blam/blam.exe, type System.Web.HttpUtility

[................etc...........]
Comment 1 Peter Gordon 2007-09-03 17:05:19 EDT
Installing the mono-web package should take care of the System.Web dependencies.
Please let me know if this resolves the issue for you, and if so I'll add that
as a hardcoded dependency to the package in the Repo. Thanks.
Comment 2 Michael De La Rue 2007-09-05 11:46:14 EDT
Sure enough; it fixes the problem.  Thanks.  
Comment 3 Peter Gordon 2007-09-08 15:13:27 EDT
Good to hear, thanks. I'll update CVS shortly with the change, and a new package
should hit the build system in the next day or two with this fix.

Thanks for your bug report!
Comment 4 Fedora Update System 2007-09-10 12:51:58 EDT
blam-1.8.3-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-09-25 04:29:20 EDT
blam-1.8.3-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.